Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163093 - "Total progress" bar on Download page is broken
Summary: "Total progress" bar on Download page is broken
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
: 167430 167438 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 20:21 UTC by Andre Robatino
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-05 16:31:22 UTC


Attachments (Terms of Use)

Description Andre Robatino 2005-07-12 20:21:23 UTC
Description of problem:
  When up2date is downloading packages, the "Total progress" bar goes all the
way over to the right after downloading the first out of N packages, instead of
1/N-th of the way.  (I think it's after the first package, anyway - I'm on
broadband so it's not really noticeable.  My father is on dialup and he
complained about it.)

Version-Release number of selected component (if applicable):
4.4.23-4

How reproducible:
always

Steps to Reproduce:
1.  Tell up2date to download N packages.
2.  Click on OK to get to the Download page.  Watch the "Total progress" bar.
  
Actual results:
  The bar goes all the way over to the right after the first package, and stays
there.

Expected results:
  After downloading n out of N packages, the bar should be n/N-th of the way over.

Additional info:
  The Total progress bar on the Installing packages page works properly.

Comment 1 Tom Horsley 2005-07-26 00:23:14 UTC
This happens to me too. Even on broadband it is irritating because I'm
downloading openoffice updates now and I have no idea how much work
is left to do :-).


Comment 2 Adrian Likins 2005-10-05 17:04:26 UTC
*** Bug 167438 has been marked as a duplicate of this bug. ***

Comment 3 Adrian Likins 2005-10-05 17:05:03 UTC
*** Bug 167430 has been marked as a duplicate of this bug. ***

Comment 4 John Thacker 2006-10-29 20:29:58 UTC
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Comment 5 John Thacker 2006-11-05 16:31:22 UTC
Closing per previous message.


Note You need to log in before you can comment on or make changes to this bug.